import { HcApi } from '../request/index'

//用户配置保存
export const userConfigSave = (form, msg = true) => HcApi({
    url: '/api/blade-business/defaultConfig/saveOrUpdate',
    method: 'post',
    data: form,
}, msg)

//用户配置详情
export const userConfigInfo = (form = {}, msg = true) => HcApi({
    url: '/api/blade-business/defaultConfig/detail',
    method: 'get',
    params: form,
}, msg)

//获取类型
export const getDictionary = (form, msg = true) => HcApi({
    url: '/api/blade-system/dict/dictionary',
    method: 'get',
    params: form,
}, msg)

//获取用户列表
export const getContractUserList = (form, msg = true) => HcApi({
    url: '/api/blade-manager/contractInfo/get-contract-userList',
    method: 'get',
    params: form,
}, msg)

//获取租户详情
export const getTenantDetail = (id) => HcApi({
    url: '/api/blade-system/tenant/detail',
    method: 'get',
    params: {
        tenantId: id,
    },
}, true)

//获取更新信息
export const getVersionJson = () => HcApi({
    url: 'version.json?time=' + new Date().getTime(),
    method: 'get',
}, false)

//获取项目下的合同段信息
export const getContractInfo = (form, msg = true) => HcApi({
    url: '/api/blade-manager/contractInfo/get-contractInfo',
    method: 'get',
    params: form,
}, msg)
